org.apache.ignite.internal.jdbc.thin

## Class JdbcThinTcpIo

- java.lang.Object
- - org.apache.ignite.internal.jdbc.thin.JdbcThinTcpIo

    public class JdbcThinTcpIo
    extends Object

JDBC IO layer implementation based on blocking IPC streams.

### Method Summary

Methods
`boolean` `autoCloseServerCursor()`
`void` `close()` Close the client IO.
`boolean` `collocated()`
`boolean` `distributedJoins()`
`boolean` `enforceJoinOrder()`
`void` `handshake()`
`void` `queryClose(long qryId)`
`JdbcQueryExecuteResult` `queryExecute(String cache, int fetchSize, int maxRows, String sql, List<Object> args)`
`JdbcQueryFetchResult` `queryFetch(Long qryId, int pageSize)`
`JdbcQueryMetadataResult` `queryMeta(Long qryId)`
`boolean` `replicatedOnly()`
`<R extends JdbcResult> R` `sendRequest(JdbcRequest req, int cap)`
`int` `socketReceiveBuffer()`
`int` `socketSendBuffer()`
`void` `start()`
`boolean` `tcpNoDelay()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### start

    public void start()
               throws IgniteCheckedException,
                      IOException

Throws:
  `IgniteCheckedException` - On error.
  `IOException` - On IO error in handshake.

#### handshake

    public void handshake()
                   throws IOException,
                          IgniteCheckedException

Throws:
  `IOException` - On error.
  `IgniteCheckedException` - On error.

#### queryExecute

    public JdbcQueryExecuteResult queryExecute(String cache,
                                      int fetchSize,
                                      int maxRows,
                                      String sql,
                                      List<Object> args)
                                        throws IOException,
                                               IgniteCheckedException

Parameters:
  `cache` - Cache name.
  `fetchSize` - Fetch size.
  `maxRows` - Max rows.
  `sql` - SQL statement.
  `args` - Query parameters.
Returns:
  Execute query results.
Throws:
  `IOException` - On error.
  `IgniteCheckedException` - On error.

#### sendRequest

    public <R extends JdbcResult> R sendRequest(JdbcRequest req,
                                       int cap)
                                     throws IOException,
                                            IgniteCheckedException

Parameters:
  `req` - Request.
  `cap` - Initial ouput stream capacity.
Returns:
  Server response.
Throws:
  `IOException` - On IO error.
  `IgniteCheckedException` - On error.

#### queryFetch

    public JdbcQueryFetchResult queryFetch(Long qryId,
                                  int pageSize)
                                    throws IOException,
                                           IgniteCheckedException

Parameters:
  `qryId` - Query ID.
  `pageSize` - pageSize.
Returns:
  Fetch results.
Throws:
  `IOException` - On error.
  `IgniteCheckedException` - On error.

#### queryMeta

    public JdbcQueryMetadataResult queryMeta(Long qryId)
                                      throws IOException,
                                             IgniteCheckedException

Parameters:
  `qryId` - Query ID.
Returns:
  Fetch results.
Throws:
  `IOException` - On error.
  `IgniteCheckedException` - On error.

#### queryClose

    public void queryClose(long qryId)
                    throws IOException,
                           IgniteCheckedException

Parameters:
  `qryId` - Query ID.
Throws:
  `IOException` - On error.
  `IgniteCheckedException` - On error.

#### close

    public void close()

Close the client IO.

#### distributedJoins

    public boolean distributedJoins()

Returns:
  Distributed joins flag.

#### enforceJoinOrder

    public boolean enforceJoinOrder()

Returns:
  Enforce join order flag.

#### collocated

    public boolean collocated()

Returns:
  Collocated flag.

#### replicatedOnly

    public boolean replicatedOnly()

Returns:
  Replicated only flag.

#### autoCloseServerCursor

    public boolean autoCloseServerCursor()

Returns:
  Auto close server cursors flag.

#### socketSendBuffer

    public int socketSendBuffer()

Returns:
  Socket send buffer size.

#### socketReceiveBuffer

    public int socketReceiveBuffer()

Returns:
  Socket receive buffer size.

#### tcpNoDelay

    public boolean tcpNoDelay()

Returns:
  TCP no delay flag.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017